#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "constants.h"

int main(int argc,char *argv[]) {
  double t,disp,f0,w0,wd,zeta,tmax,tstep;

  if (argc != 5) {
    fprintf(stderr,"%s <f0> <zeta> <tmax> <tstep>\n",argv[0]);
    exit(1);
  }
  f0 = atof(argv[1]);
  w0 = TWO_PI * f0;
  zeta = atof(argv[2]);
  tmax = atof(argv[3]);
  tstep = atof(argv[4]);
  tmax = tmax + (tstep * 0.5);
  wd = sqrt(w0*w0 * (1.0 - (zeta*zeta)));
  t = 0.0;
  while (t < tmax) {
    disp = exp(-w0 * zeta * t) * cos(wd * t);
    printf("%.8g %.8g\n",t,disp);
    t = t + tstep;
  }
  exit(0);
}
