#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "constants.h"
#include "sweep.h"

double w0,wd,zeta;

double osc(double t) {
  double disp;
  disp = exp(-w0 * zeta * t) * cos(wd * t);
  return(disp);
}

int main(int argc,char *argv[]) {
  double f0,tmax,tstep;

  if (argc != 5) {
    fprintf(stderr,"%s <f0> <zeta> <tmax> <tstep>\n",argv[0]);
    exit(1);
  }
  f0 = atof(argv[1]);
  w0 = TWO_PI * f0;
  zeta = atof(argv[2]);
  tmax = atof(argv[3]);
  tstep = atof(argv[4]);
  wd = sqrt(w0*w0 * (1.0 - (zeta*zeta)));
  sweep(osc,0.0,tmax,tstep);
  exit(0);
}
